Avro C++

Namespaces | Functions
AvroSerialize.hh File Reference
`#include "AvroTraits.hh"`
`#include "Config.hh"`

Go to the source code of this file.

## Namespaces
| avro
| A bunch of templates and specializations for encoding and decoding specific types.

## Functions
template<typename Writer , typename T >
void | avro::serialize (Writer &s, const T &val)
| The main serializer entry point function. More...
template<typename Writer , typename T >
void | avro::serialize (Writer &s, const T &val, const std::false_type &)
| Type trait should be set to is_serializable in otherwise force the compiler to complain.
template<typename Writer , typename T >
void | avro::serialize (Writer &s, T val, const std::true_type &)
| The remainder of the file includes default implementations for serializable types.
template<typename Writer >
void | avro::serialize (Writer &s, const std::vector< uint8_t > &val, const std::true_type &)

## Detailed Description

Standalone serialize functions for Avro types.